package cn.superdesk.sync2es.entity.es;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 * @author xc
 * @since 2023/12/22 12:40
 */
@Document(indexName = "#{dynamicIndex.goodsIndexName}", type = "#{dynamicIndex.goodsTypeName}")
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Data
public class GoodsDocument {
    @Id
    private Long id;
    private Integer merchid;
    private Integer type;
    private Integer status;
    private Integer checked;
    @Field(analyzer = "ik_max_word", searchAnalyzer = "ik_smart", type = FieldType.Text)
    private String title;
    private String goodssn;
    private String productsn;
    private Long jd_vop_sku;
}
