package cn.superdesk.sync2es.service;

import cn.superdesk.sync2es.dao.GoodsRepository;
import cn.superdesk.sync2es.entity.es.GoodsDocument;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author xc
 * @since 2023/12/22 12:52
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class GoodsService {

    private final GoodsRepository GoodsRepository;


    public void save(GoodsDocument goodsDocument) {
        GoodsRepository.save(goodsDocument);
    }

    public List<GoodsDocument> findAll() {
        Iterator<GoodsDocument> iterator = GoodsRepository.findAll().iterator();
        List<GoodsDocument> list = new ArrayList<>();
        while (iterator.hasNext()) {
            GoodsDocument next = iterator.next();
            list.add(next);
        }
        return list;
    }


    public void deleteById(Long id) {
        GoodsRepository.deleteById(id);
    }


}
